## Apache Zeta Components Manual :: Docs For Class ezcGraphPieChart

### Graph::ezcGraphPieChart

### Class ezcGraphPieChart

Class for pie charts. Can only use one dataset which will be dispalyed as a pie chart.

1. // Create a new pie chart
2. $chart=new ezcGraphPieChart ();
4. // Add data to line chart
5. $chart-> data ['sample dataset']=new ezcGraphArrayDataSet (
6. array(
7. 'one'=>1.2,
8. 'two'=>43.2,
9. 'three'=> -34.14,
10. 'four'=>65,
11. 'five'=>123,
12. )
13. );
15. // Render chart with default 2d renderer and default SVG driver
16. $chart-> render (500,200,'pie_chart.svg');

Each chart consists of several chart elements which represents logical parts of the chart and can be formatted independently. The pie chart consists of:

- title ( ezcGraphChartElementText )
- legend ( ezcGraphChartElementLegend )
- background ( ezcGraphChartElementBackground )

All elements can be configured by accessing them as properties of the chart:

1. $chart->legend->position=ezcGraph ::RIGHT;

The chart itself also offers several options to configure the appearance. The extended configure options are available in ezcGraphPieChartOptions extending the ezcGraphChartOptions.

Source for this file: /Graph/src/charts/pie.php

    ezcGraphChart
       |
       --ezcGraphPieChart

Version: | //autogentag//

### Properties

ezcGraphPieChartOptions | read/write | `$options` Chart options class

### Inherited Member Variables

From ezcGraphChart
protected | `ezcGraphChart::$data`
protected | `ezcGraphChart::$elements`
protected | `ezcGraphChart::$options`
protected | `ezcGraphChart::$properties`
protected | `ezcGraphChart::$renderElement`

### Method Summary

protected void | `applyThreshold( )` Apply tresh hold
public int | `getDefaultDisplayType( )` Returns the default display type of the current chart type.
public void | `render( $width , $height , [ $file = null] )` Render the pie chart
protected void | `renderData( $renderer , $boundings )` Render the assigned data
protected void | `renderElements( $width , $height )` Renders the basic elements of this chart type
public void | `renderToOutput( $width , $height )` Renders this chart to direct output

### Inherited Methods

From ezcGraphChart
protected void | `ezcGraphChart::addElement()` Add element to chart
public abstract int | `ezcGraphChart::getDefaultDisplayType()` Returns the default display type of the current chart type.
public mixed | `ezcGraphChart::getRenderedFile()` Return filename of rendered file, and false if no file was yet rendered.
public abstract void | `ezcGraphChart::render()` Renders this chart
public abstract void | `ezcGraphChart::renderToOutput()` Renders this chart to direct output
public void | `ezcGraphChart::setFromPalette()` Set colors and border fro this element

### Methods

#### applyThreshold

void applyThreshold( )

Apply tresh hold

Iterates over the dataset and applies the configured tresh hold to the datasets data.

#### getDefaultDisplayType

int getDefaultDisplayType( )

Returns the default display type of the current chart type.

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphChart::getDefaultDisplayType()` | Returns the default display type of the current chart type.

#### render

void render( int $width , int $height , [string $file = null] )

Render the pie chart

Renders the chart into a file or stream. The width and height are needed to specify the dimensions of the resulting image. For direct output use 'php://stdout' as output file.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$width` | int | Image width
`$height` | int | Image height
`$file` | string | Output file

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphChart::render()` | Renders this chart

#### renderData

void renderData( ezcGraphRenderer $renderer , $boundings )

Render the assigned data

Will renderer all charts data in the remaining boundings after drawing all other chart elements. The data will be rendered depending on the settings in the dataset.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$renderer` | ezcGraphRenderer | Renderer
`$boundings` | ezcGraphBoundings | Remaining boundings

#### renderElements

void renderElements( int $width , int $height )

Renders the basic elements of this chart type

##### Parameters:

Name | Type | Description
--- | --- | ---
`$width` | int |
`$height` | int |

#### renderToOutput

void renderToOutput( int $width , int $height )

Renders this chart to direct output

Does the same as ezcGraphChart::render(), but renders directly to output and not into a file.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$width` | int |
`$height` | int |

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphChart::renderToOutput()` | Renders this chart to direct output

Documentation generated by phpDocumentor 1.4.3